unit hellounit;
(*
  Esimerkki WinAPI-kutsujen ja viestien kytst Delphiss,
  vrt. mhello.c

  Miika Nurminen, 4.6.2004
*)
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TFormHello = class(TForm)
  private
    procedure OnPaint(var Message: TWMPaint); message WM_PAINT;
    procedure OnClose(var Message: TWMClose); message WM_CLOSE;
    procedure OnDestroy(var Message: TWMDestroy); message WM_DESTROY;
  public
  end;

var
  FormHello: TFormHello;

implementation

{$R *.dfm}

{ TFormHello }

// Huom! Windows-viestityypit ovat yksikss messages.pas

// syrjytetty TCustomForm.WMClose (unit: forms)
procedure TFormHello.OnClose(var Message: TWMClose);
begin
  if (MessageBox(Handle,'Lopetetaanko?','WHello',MB_YESNO)=IDYES) then
    DestroyWindow(Handle);
end;

// syrjytetty TCustomForm.WMPaint (unit: forms)
procedure TFormHello.OnDestroy(var Message: TWMDestroy);
begin
  PostQuitMessage(0);
end;

procedure TFormHello.OnPaint(var Message: TWMPaint);
var ps:PAINTSTRUCT;
begin
  if (BeginPaint(Handle,ps)<>0) then
    TextOut(ps.hdc, 10, 10, 'Hello World!',12);
  EndPaint(Handle,ps);
end;

end.

