unit peekform;
(*
   Minimaalinen ja _erittin rajoitetusti_ toimiva pascal-
   testiversio sovelluksen sisisest moniajosta.
   Ks. listietoa ali/checker.c

   Miika Nurminen, 5.6.2004

   Todo: onnistuisiko komponenttitoteutus?
*)
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    pb: TPaintBox;
    ButtonPaint: TButton;
    Progress: TProgressBar;
    procedure pbPaint(Sender: TObject);
    procedure ButtonPaintClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    painting:boolean;
    stopandclose:boolean;
    function CheckMessages:boolean;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.pbPaint(Sender: TObject);
var i,j:integer;
begin
  if painting then Exit; // estetn piirtminen moneen kertaan
  painting:=true;
  i:=1000;
  Progress.Position:=0;
  Progress.Min:=0;
  Progress.Max:=i;
  for j:=0 to i do begin
    if (stopandclose) then begin
      close;
      Break;
      // tarvitaan, ettei ikkunaa jd piirtmn.
    end;
    if not CheckMessages then Exit;
    sleep(5);
    pb.Canvas.Ellipse(Random(pb.Width),Random(pb.Height),Random(300),Random(300));
    Progress.Position:=j;
  end;
  painting:=false;

end;

procedure TForm1.ButtonPaintClick(Sender: TObject);
begin
  pb.Repaint;
end;


function TForm1.CheckMessages:boolean;
var msg:TMSG;
begin
  while (PeekMessage(msg,0,0,0,PM_REMOVE )) do begin
    TranslateMessage(msg);
    DispatchMessage(msg);
  end;
  Result:=true;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 StopAndClose:=true;
end;

end.
